# Uses of Class
com.databricks.jdbc.api.impl.ImmutableSessionInfo

Packages that use ImmutableSessionInfo
Package
Description
com.databricks.jdbc.api.impl
com.databricks.jdbc.api.internal
com.databricks.jdbc.dbclient
com.databricks.jdbc.dbclient.impl.common
com.databricks.jdbc.dbclient.impl.sqlexec
com.databricks.jdbc.dbclient.impl.thrift

## Uses of ImmutableSessionInfo in com.databricks.jdbc.api.impl

Methods in com.databricks.jdbc.api.impl that return ImmutableSessionInfo
Modifier and Type
Method
Description
`ImmutableSessionInfo`
ImmutableSessionInfo.Builder.`build()`
Builds a new `ImmutableSessionInfo`.
`static ImmutableSessionInfo`
ImmutableSessionInfo.`copyOf(SessionInfo instance)`
Creates an immutable copy of a `SessionInfo` value.
`ImmutableSessionInfo`
DatabricksSession.`getSessionInfo()`
`final ImmutableSessionInfo`
ImmutableSessionInfo.`withComputeResource(IDatabricksComputeResource value)`
Copy the current immutable object by setting a value for the `computeResource` attribute.
`final ImmutableSessionInfo`
ImmutableSessionInfo.`withSessionHandle(TSessionHandle value)`
Copy the current immutable object by setting a value for the `sessionHandle` attribute.
`final ImmutableSessionInfo`
ImmutableSessionInfo.`withSessionId(String value)`
Copy the current immutable object by setting a value for the `sessionId` attribute.

## Uses of ImmutableSessionInfo in com.databricks.jdbc.api.internal

Methods in com.databricks.jdbc.api.internal that return ImmutableSessionInfo
Modifier and Type
Method
Description
`ImmutableSessionInfo`
IDatabricksSession.`getSessionInfo()`

## Uses of ImmutableSessionInfo in com.databricks.jdbc.dbclient

Methods in com.databricks.jdbc.dbclient that return ImmutableSessionInfo
Modifier and Type
Method
Description
`ImmutableSessionInfo`
IDatabricksClient.`createSession(IDatabricksComputeResource computeResource, String catalog, String schema, Map<String,String> sessionConf)`
Creates a new session for given warehouse-Id, catalog and session.
Methods in com.databricks.jdbc.dbclient with parameters of type ImmutableSessionInfo
Modifier and Type
Method
Description
`void`
IDatabricksClient.`deleteSession(ImmutableSessionInfo sessionInfo)`
Deletes a session for given session-Id

## Uses of ImmutableSessionInfo in com.databricks.jdbc.dbclient.impl.common

Methods in com.databricks.jdbc.dbclient.impl.common that return ImmutableSessionInfo
Modifier and Type
Method
Description
`ImmutableSessionInfo`
SessionId.`getSessionInfo()`
Returns an ImmutableSessionInfo for the given session-Id
Methods in com.databricks.jdbc.dbclient.impl.common with parameters of type ImmutableSessionInfo
Modifier and Type
Method
Description
`static SessionId`
SessionId.`create(ImmutableSessionInfo sessionInfo)`
Creates a SessionId identifier for a given Thrift Server session-Id

## Uses of ImmutableSessionInfo in com.databricks.jdbc.dbclient.impl.sqlexec

Methods in com.databricks.jdbc.dbclient.impl.sqlexec that return ImmutableSessionInfo
Modifier and Type
Method
Description
`ImmutableSessionInfo`
DatabricksSdkClient.`createSession(IDatabricksComputeResource warehouse, String catalog, String schema, Map<String,String> sessionConf)`
Methods in com.databricks.jdbc.dbclient.impl.sqlexec with parameters of type ImmutableSessionInfo
Modifier and Type
Method
Description
`void`
DatabricksSdkClient.`deleteSession(ImmutableSessionInfo sessionInfo)`

## Uses of ImmutableSessionInfo in com.databricks.jdbc.dbclient.impl.thrift

Methods in com.databricks.jdbc.dbclient.impl.thrift that return ImmutableSessionInfo
Modifier and Type
Method
Description
`ImmutableSessionInfo`
DatabricksThriftServiceClient.`createSession(IDatabricksComputeResource cluster, String catalog, String schema, Map<String,String> sessionConf)`
Methods in com.databricks.jdbc.dbclient.impl.thrift with parameters of type ImmutableSessionInfo
Modifier and Type
Method
Description
`void`
DatabricksThriftServiceClient.`deleteSession(ImmutableSessionInfo sessionInfo)`